using DiunaBI.Domain.Entities;
using DiunaBI.Infrastructure.Interfaces;

namespace DiunaBI.Plugins.Morska.Processors;

public abstract class MorskaBaseProcessor : IDataProcessor
{
    public abstract string ProcessorType { get; }
    
    public virtual bool CanProcess(string processorType) => ProcessorType == processorType;
    
    public abstract void Process(Layer processWorker);
}